[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDBDataset.destroy

Remove the TDBDataset instance from memory.

## Declaration

Source position: db.pas line 1836

`public destructor TDBDataset.destroy; override;`

## Description

Destroy will disconnect the TDBDataset from its Database and Transaction. After this it calls the inherited destructor.

## See also

TDBDataset.Database |  | Database this dataset is connected to
TDatabase |  | Base class for connecting a FreePascal application to an external Database engine

Documentation generated on: Feb 26 2014